package com.jkcredit.invoice.controller.interserver;

import com.jkcredit.invoice.mapper.calculateinfor.MounthAccMapper;
import com.jkcredit.invoice.model.entity.customer.CustomerCarRec;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import com.jkcredit.invoice.service.lowerservice.NoCarService;
import com.jkcredit.invoice.service.lowerservice.vo.HCInvoiceQueryVo;
import com.jkcredit.invoice.service.lowerservice.vo.MonthAccountQueryVo;
import com.jkcredit.invoice.util.RespR;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "无车下游接口")
@RestController
@RequestMapping(value = {"/noCarService"})
public class NoCarServiceController {
    @Autowired
    private NoCarService noCarService;
    /**
     * @param
     * @return
     */
    @PostMapping("/noCarVoiceQuery")
    @ApiOperation(value="发票查询接口（走本地库）", notes="发票查询接口（走本地库）")
    public RespR noCarVoiceQuery(@RequestBody NoCarWayBill noCarWayBill){
        return noCarService.getInvoiceByWayBillNumReal(noCarWayBill,true);
    }

    /**
     * @param
     * @return
     */
    @PostMapping("/hCVoiceQuery")
    @ApiOperation(value="红冲发票查询接口", notes="红冲发票查询接口")
    public RespR hCVoiceQuery(@RequestBody HCInvoiceQueryVo hcInvoiceQueryVo){
        return noCarService.hCInvoiceQuery(hcInvoiceQueryVo);
    }

    /**
     * @param
     * @return
     */
    @PostMapping("/monthAccQuery")
    @ApiOperation(value="月账单交易查询", notes="月账单交易查询")
    public RespR monthAccQuery(@RequestBody MonthAccountQueryVo monthAccountQueryVo){
        return noCarService.monthAccQuery(monthAccountQueryVo);
    }
    @Autowired
    MounthAccMapper mounthAccMapper;
    /**
     * @param
     * @return
     */
    @PostMapping("/monthAccUpdate")
    @ApiOperation(value="月账单交易查询更新", notes="月账单交易查询更新")
    public RespR monthAccQueryUpdate(@RequestBody MonthAccountQueryVo monthAccountQueryVo){
        String [] companys = new String[]{"榆林市渊茂物流科技有限公司",
                "河北晟洲物流有限公司芜湖分公司",
                "山西润物供应链管理有限公司芜湖分公司",
                "美途科技（韶关）有限公司",
                "星空物联科技（天津）有限公司",
                "杭州予之物联科技有限公司芜湖分公司",
                "杭州予之物联科技有限公司湾沚分公司",
                "徐州顺泰天运网络科技有限公司",
                "阿帕数字技术有限公司",
                "左权县亨信商贸有限责任公司",
                "宁夏易运物联科技有限公司湾沚分公司",
                "株洲天盛物流有限公司",
                "丰县赫达能源有限公司",
                "山西润物供应链管理有限公司运城分公司",
                "山西润物供应链管理有限公司",
                "山西润物供应链科技有限公司",
                "交科信用管理有限公司",
                "辽宁骐盛物流供应链管理有限公司湾沚分公司",
                "辽宁四通物联网络科技有限公司海城分公司",
                "辽宁四通物联网络科技有限公司湾沚分公司",
                "杭州快驰科技有限公司",
                "内蒙古旭晟物流有限责任公司",
                "山西优途科技有限公司",
                "北京交科信用管理有限公司",
                "家安信用管理有限公司",
                "吉安供应链管理淮安有限公司",
                "内蒙古书宏超网络科技有限公司湾沚分公司",
                "甘肃蜀西蓉创科技有限公司",
                "乌海市中海物流有限责任公司邳州分公司",
                "湖南好评物流科技有限责任公司",
                "中孚汇邦（山西）科技有限公司",
                "山西点货科技有限公司",
                "聊城新世纪物流科技有限公司芜湖分公司",
                "湖北小象物流服务有限公司",
                "山东兰瑞网络科技有限责任公司",
                "河北泰新运输有限公司",
                "内蒙古书宏超网络科技有限公司",
                "湖南天骄物流信息科技有限公司",
                "武汉吉运物流有限公司",
                "宁夏盈度互联网科技有限公司",
                "江西海帮供应链管理有限公司",
                "北京中交兴路车联网科技有限公司",
                "山西云启正通物流有限责任公司",
                "山西云启正通物流有限责任公司宿州分公司",
                "聊城新世纪物流科技有限公司邹平分公司",
                "聊城新世纪物流科技有限公司德州分公司",
                "营口丰巢物流科技有限公司湾沚分公司",
                "江西弘道网络科技有限公司",
                "聊城新世纪物流科技有限公司",
                "物润船联张家港保税港区物流供应链有限公司",
                "宁夏冉嘉荣供应链管理有限公司邳州分公司",
                "营口丰巢物流科技有限公司芜湖分公司",
                "山西和聚通物流有限公司芜湖分公司",
                "河北晟洲物流有限公司",
                "浙江佑运物流科技有限公司芜湖分公司",
                "黑龙江三套车车联科技发展有限公司",
                "黑龙江三套车车联科技发展有限公司邳州分公司",
                "营口丰巢物流科技有限公司邳州分公司",
                "营口丰巢物流科技有限公司东至分公司",
                "营口丰巢物流科技有限公司(辽宁)自贸区分公司",
                "宜兴市航煜信息科技有限公司",
                "壹汇（江苏）供应链管理有限公司芜湖分公司",
                "一重新能源发展集团有限公司网络货运分公司",
                "新疆州驰信息科技有限公司芜湖分公司",
                "新疆州驰信息科技有限公司邳州分公司",
                "新疆州驰信息科技有限公司东至分公司",
                "西藏顺泰天运物流有限公司",
                "乌海市安瑞隆物流有限公司湾沚分公司",
                "乌海市安瑞隆物流有限公司安徽分公司",
                "绥德县骏华科技有限公司芜湖分公司",
                "绥德县骏华科技有限公司",
                "陕西微派物流科技有限公司芜湖分公司",
                "陕西微派物流科技有限公司",
                "陕西合信物联科技有限公司湾沚分公司",
                "陕西合信物联科技有限公司",
                "山西臻联科技有限公司",
                "山西润物供应链管理有限公司太原分公司",
                "山西惠捷供应链科技有限公司芜湖分公司",
                "山西和聚通物流有限公司太原分公司",
                "萍乡青润运输有限公司",
                "内蒙古书宏超网络科技有限公司邳州分公司",
                "内蒙古玖成物流科技有限公司芜湖分公司",
                "蒙东国际物流有限公司芜湖分公司",
                "蒙东国际物流有限公司",
                "聊城新世纪物流科技有限公司青岛分公司",
                "聊城新世纪物流科技有限公司池州分公司",
                "辽宁四通物联网络科技有限公司芜湖分公司",
                "辽宁四通物联网络科技有限公司邳州分公司",
                "辽宁四通物联网络科技有限公司",
                "辽宁骐盛物流供应链管理有限公司芜湖分公司",
                "辽宁骐盛物流供应链管理有限公司邳州分公司",
                "江西马帮供应链管理有限公司",
                "江苏壹卡车物联科技有限公司",
                "江苏万安物流有限公司舞阳分公司",
                "江苏万安物流有限公司靖江分公司",
                "江苏万安物流有限公司",
                "江苏惠联智运供应链管理有限公司湾沚分公司",
                "江苏恒泰网络科技有限公司",
                "江苏国镖信息科技有限公司盐城分公司",
                "江苏国镖信息科技有限公司",
                "济宁金鲁物流信息有限公司芜湖分公司",
                "济宁金鲁物流信息有限公司",
                "湖北钰翔物流有限公司芜湖分公司",
                "湖北钰翔物流有限公司邳州分公司",
                "湖北钰翔物流有限公司",
                "湖北物行天下供应链服务有限责任公司芜湖分公司",
                "湖北物行天下供应链服务有限责任公司",
                "河北润能供应链管理有限公司",
                "海南税捷信息科技有限公司",
                "包头市包运物流有限公司",
                "安徽安瑞隆供应链管理有限公司邳州分公司",
                "安徽安瑞隆供应链管理有限公司",
                "张家口顺驰物流科技有限公司芜湖分公司",
                "营口丰巢物流科技有限公司",
                "壹汇（江苏）供应链管理有限公司湾沚分公司",
                "新疆州驰信息科技有限公司",
                "四川润物升物流科技有限公司芜湖分公司",
                "四川润物升物流科技有限公司",
                "上海钜盛信息科技有限公司芜湖分公司",
                "山西中晋辉创供应链有限公司芜湖分公司",
                "山西润物供应链管理有限公司湾沚分公司",
                "山西和聚通物流有限公司湾沚分公司",
                "三筷供应链管理（湖北）有限公司湾沚分公司",
                "内蒙古恒兴达捷运中网物流有限公司",
                "聊城新世纪物流科技有限公司湾沚区分公司",
                "江苏快成物流有限公司湾沚分公司",
                "江苏快成物流有限公司",
                "江苏国镖信息科技有限公司芜湖分公司",
                "丰县赫达能源有限公司芜湖分公司",
                "河南卓逾物流有限责任公司芜湖分公司",
                "安徽帅先行物联网科技有限公司",
                "安徽卡邦物云网络科技有限公司",
                "安徽宏动物联网科技有限公司",
                "安徽承达物联科技有限公司",
                "贵州来拉货科技有限公司",
                "贵州汽喇叭物联科技有限公司",
                "贵州弘裕智慧物流有限公司",
                "山西直拼物联科技有限公司",
                "贵州联森网络科技有限公司",
                "山西大快田园物联科技有限公司",
                "筋斗云（山西）智慧物联科技有限公司",
                "贵州瑞超供应链管理有限公司",
                "智享快运（山西）供应链管理有限公司",
                "山西安通速达智慧物联科技有限公司",
                "山西新成功物联科技有限公司",
                "贵州六运大通供应链管理有限公司",
                "山西麓湘网络科技有限公司",
                "山西盛泽物联科技有限公司",
                "山西风行美亚智慧物联科技有限公司",
                "贵州宇雷供应链管理有限公司",
                "贵州梵达智慧物联有限公司",
                "贵州梵行智慧物联有限公司",
                "贵州梵润物联科技有限公司",
                "山西立德源科技有限公司",
                "山西晋通公铁联运科技有限公司",
                "山西佳欣物联科技有限公司",
                "贵州百盛祥物流科技有限公司",
                "贵州成江海物联科技有限公司",
                "贵州鼎达网络科技发展有限公司",
                "贵州东和物流有限公司",
                "淮安市昆交汽车运输有限公司",
                "猎运智慧物流（天津）有限公司",
                "荣程智运科技（天津）有限公司",
                "贵州东轩供应链管理有限公司",
                "武汉万物运通网络科技有限公司",
                "厢联互通（辽宁）物流供应链有限公司",
                "贵州凡网物联科技有限公司",
                "贵州梵晟物联科技有限公司",
                "贵州峰运供应链科技有限公司",
                "贵州福赛特智慧物联有限公司",
                "贵州赣府物联科技有限公司",
                "贵州广联成网络科技有限公司",
                "贵州好运虎网络货运有限公司",
                "贵州浩鑫供应链管理有限公司",
                "贵州恒琛物联科技有限公司",
                "贵州慧天物流科技有限公司",
                "贵州慧运宝网络科技有限公司",
                "贵州货快汇网络科技有限责任公司",
                "贵州佳源网络货运有限公司",
                "贵州嘉配物联科技有限公司",
                "贵州嘉配物联科技有限公司山西分公司",
                "甘肃达尔优科技有限公司",
                "甘肃共鸣科技有限公司",
                "佛山市盛鑫良晨物流有限公司",
                "盘锦路路通特种车辆修造有限公司",
                "甘肃鸿驰速达物流科技有限公司",
                "贵州锦欣智慧物流有限公司",
                "郑州发投物联科技有限公司",
                "河南找卡车物流科技有限公司",
                "贵州久江供应链管理有限公司",
                "贵州聚荣物流科技有限公司",
                "榆林市利升物流有限公司",
                "贵州鲲运智慧物流有限公司",
                "西南交投（江苏）供应链管理有限公司",
                "陕西一五六八数字科技有限公司",
                "贵州缆库智慧物流有限公司",
                "贵州茂运供应链管理有限公司",
                "齐齐哈尔恒越运输有限公司",
                "内蒙古恒邦智慧物流科技有限公司",
                "辽宁幸福路科技有限公司",
                "金昌顺通智慧物流有限公司",
                "贵州胜鑫良晨网络科技有限公司",
                "贵州途安网络科技有限公司",
                "贵州先道网络科技有限公司",
                "贵州新收获网络科技有限公司",
                "贵州耀澎网络货运有限公司",
                "贵州一飞网络科技有限公司",
                "贵州优力达网络科技有限公司",
                "贵州油满满科技有限公司",
                "贵州运万佳物流科技有限公司",
                "贵州知象网络科技有限公司",
                "贵州中昌云科技有限公司",
                "贵州中锦供应链有限公司",
                "贵州运多多网络科技有限公司",
                "贵州中众衡智企通物联科技有限公司",
                "贵州仲达云网络科技有限公司",
                "七彩光环（山西）科技供应链有限公司",
                "山西金牛物联科技有限公司",
                "山西缆库智慧物联科技有限公司",
                "山西全都通科技有限公司",
                "山西双车道供应链科技有限公司",
                "中建运联（山西）供应链有限公司",
                "物链万家（山西）科技有限公司",
                "山西裕兴华物流科技有限公司",
                "山西星图智科供应链管理有限公司",
                "山西丝路物联科技有限公司",
                "山西中弘智运科技有限公司",
                "贵州一指通网络科技有限公司",
                "山西云车智慧物联科技有限公司",
                "山西天成供应链管理有限公司",
                "贵州梵运网络科技有限公司",
                "贵州联玺汇网络科技有限公司",
                "山西货满赢供应链管理有限公司",
                "江西靛蓝互联网科技有限公司",
                "甘肃物云集物流科技有限公司",
                "甘肃陆港通物流科技有限公司",
                "甘肃卡卡网络科技发展有限公司",
                "甘肃恒浦供应链有限责任公司",
                "安徽省吉象物流有限公司",
                "甘肃才富供应链管理有限公司",
                "甘肃货小运互联网科技有限公司",
                "吉林省北斗星科技集团有限公司",
                "江苏哈利路亚物流有限公司",
                "凌源致远物流科技有限公司",
                "零担跳动（天津）科技有限公司",
                "舜世通科技发展有限公司",
                "西安未来物流科技有限责任公司",
                "新火焰物流供应链（辽宁）有限公司",
                "金昌云货安网络货运有限公司",
                "浙江双飞运输有限公司永康智运分公司",
                "中邦汇鑫（山东）物流信息有限公司",
                "浙江新安物流有限公司",
                "浙江新安物流有限公司杭州分公司",
                "江山市速达汇供应链管理有限公司",
                "扬州市成功运输有限公司",
                "扬州市通港现代运输有限责任公司",
                "湖南花农网信息科技有限公司攸县分公司",
                "湖南花农网信息科技有限公司",
                "湖南花农网信息科技有限公司湘潭分公司",
                "株洲华顺物流有限公司",
                "株洲天桥起重机运输有限公司",
                "内蒙古旭晟物流有限责任公司芜湖分公司",
                "湖南天骄物流信息科技有限公司西藏分公司",
                "北京马可行知科技发展有限公司",
                "北斗壹佰交通科技（天津）有限公司",
                "湖北易得物流有限公司",
                "湖北亿联佰和物流有限公司",
                "美途科技（韶关）有限公司天津分公司",
                "襄阳厚载科技有限公司",
                "国金数字经济（杭州）有限公司",
                "杭州驰洋物流有限公司",
                "杭州捷马物流有限公司",
                "杭州英健物流有限公司",
                "杭州旋风货运有限公司",
                "杭州旋风货运有限公司安吉分公司",
                "浙江道恩物流有限公司",
                "浙江骑芯供应链管理有限公司",
                "杭州金毅科技有限公司",
                "安徽优挂供应链管理有限公司",
                "云梦星联物流有限公司",
                "浙江速达汇物流科技有限公司",
                "河南牛车科技有限责任公司",
                "广州一易管车科技有限公司",
                "江西怡达供应链管理有限公司",
                "西安京卡物联科技有限公司",
                "丽江市古城区陆运帮供应链有限公司",
                "陕西陆运帮网络科技有限公司寿光分公司",
                "中轩物联有限公司",
                "福建丰车物流有限公司",
                "山东村鸟网络科技有限公司",
                "安徽星微网络科技有限公司",
                "河南易卡运智博物流有限公司",
                "广东货多多物流科技股份有限公司江西分公司",
                "贵州易林物流有限公司",
                "武汉小象智云科技有限公司",
                "浙江九九路物流发展有限公司",
                "江西四顺物流集团股份有限公司",
                "淮安市捷安物流有限公司",
                "浙江电子口岸有限公司",
                "浙江新颜物流有限公司",
                "湖北我家物流服务有限公司",
                "四川世纪兆通物流有限公司",
                "上海一起送网络科技有限公司",
                "江苏物润船联网络股份有限公司",
                "杭州奥软科技有限公司吉安分公司",
                "辽宁货速达网络科技有限公司",
                "杭州予之物联科技有限公司",
                "浙江昀通供应链管理有限公司",
                "乌海市中海物流有限责任公司安徽分公司",
                "乌海市中海物流有限责任公司湾沚分公司",
                "江苏楚源运输有限公司",
                "曹妃甸港物联科技有限公司天津分公司",
                "浙江舟山久油能源有限公司",
                "四川百纳共享物流科技有限公司",
                "泰惠天润（成都）供应链管理有限公司",
                "山东远恒供应链管理有限公司",
                "浙江盈运宝智能科技有限公司",
                "天津好运联联科技有限公司",
                "无锡坦程物联网股份有限公司",
                "天津易渡物流有限公司",
                "北京缔联科技有限公司",
                "东台货骑士物流有限公司",
                "浙江米阳供应链管理有限公司",
                "深圳市大东车慧科技股份有限公司",
                "中铁物流集团飞豹快线有限公司",
                "武汉高达软件系统有限公司",
                "宁波美通物流有限公司",
                "长沙争渡网络科技有限公司",
                "北京合力中税科技发展有限公司",
                "湖北长捷物流有限公司",
                "双联（天津）供应链管理有限公司",
                "上海永宣信息科技有限公司",
                "广东货多多物流科技股份有限公司",
                "浙江专线宝供应链管理有限公司",
                "交通运输物流信息平台（温州）有限公司",
                "米阳物流科技（宁波）有限公司",
                "湖北广联成货运有限公司",
                "辽宁骐盛物流供应链管理有限公司营口分公司",
                "山西昊鑫智运科技有限公司",
                "浙江佑运物流科技有限公司",
                "宁夏冉嘉荣供应链管理有限公司",
                "安徽省徽商物流有限公司宿州市分公司",
                "新承运（平潭）物流科技有限公司福清分公司",
                "甘肃亿安行网络货运科技有限公司",
                "睿博龙（天津）智慧物联科技有限公司",
                "驿路(山西)智慧物联科技有限公司",
                "山东齐为供应链有限公司",
                "淄博远致达物流有限公司",
                "淄博佰嘉信物流有限公司",
                "芜湖市畅通物流网络科技有限公司东至分公司",
                "宿迁京东通联物流有限公司",
                "济源市中浩供应链管理有限公司",
                "浙江佳丰供应链管理有限公司",
                "广东洋浦实业有限公司",
                "安徽维斯塔供应链管理有限公司",
                "厦门北斗行电子科技有限公司",
                "广州汕友物流有限公司",
                "茂名市茂南龙行天下物流有限公司",
                "佛山市恒业货运有限公司",
                "天津市中辉物流有限公司广州分公司",
                "广州鸿泰物流有限公司",
                "广州鑫乐物流有限公司",
                "广州中港国际物流有限公司",
                "广州永璐倡物流有限公司",
                "宁夏惠浩供应链管理有限公司",
                "湾流信息传输软件和信息技术服务业（广州）有限公司",
                "网络货运平台",
                "广州万户通物流有限公司",
                "广州市冠晖物流有限公司",
                "江苏信道供应链管理有限公司",
                "广州市钧寅物流有限公司",
                "广州市广郑物流有限公司",
                "辽宁春联网络科技有限公司邳州分公司",
                "洋浦俊武物流有限公司",
                "南城县飞鹏物流有限公司",
                "深圳市福盈建材有限公司",
                "广州鹏鑫物流有限公司",
                "佛山市鑫祈旺货运有限公司",
                "新余市骏达物流有限公司",
                "临沂浩润三方物流有限公司",
                "海南诚顺物流有限公司",
                "重庆车犇网络科技有限公司",
                "长沙恒安物流有限公司",
                "江苏天岳交通设施有限公司",
                "广州天岳物流有限公司",
                "昌图县伟业铝塑门窗厂",
                "广东志华物流有限公司",
                "福建东车智运科技有限公司",
                "广州市丰联物流有限责任公司",
                "广州运缘物流有限公司",
                "广州金桥物流有限公司",
                "广东昕云冷链物流有限公司",
                "广州鑫赟冷冻运输有限公司",
                "广州塞托斯物流有限公司",
                "广州辉宏物流有限公司",
                "广州华兄递物流有限公司",
                "广州市万胜供应链有限公司",
                "广州阿凡提物流有限公司",
                "东营市越豪物流有限公司",
                "广州意天洪物流有限公司",
                "广州泽晟物流有限公司",
                "广州叮当物流有限公司",
                "江西广胜物流有限公司",
                "江苏众诚供应链管理有限公司扬州分公司",
                "广州鑫华富物流有限公司",
                "广州市新滕达物流有限公司",
                "佛山市南海永骏物流有限公司",
                "佛山市天宏物流有限公司",
                "深圳市永发兴物流有限公司",
                "广州市兴誉东物流有限公司",
                "佛山市鑫骏通达货运有限公司",
                "云南上云肖邦货运服务有限公司",
                "上海畅炫供应链管理有限公司",
                "广州翠竹物流有限公司",
                "深圳市锐迅供应链管理有限公司",
                "江苏冠森物流有限公司",
                "江门悦峰供应链管理有限公司",
                "广东超快物流有限公司",
                "广州市神盾物流有限公司",
                "广东明晟物流供应链有限公司",
                "广州中铁物流有限公司",
                "广州兰君物流有限公司",
                "广州运发物流有限公司",
                "广州新马物流有限公司",
                "广州市宣邦物流有限公司",
                "广州一顺远冠物流有限公司",
                "海南浩盛达物流有限公司广州分公司",
                "阳江市佳顺物流服务有限公司",
                "广州安蒙达物流有限公司",
                "广州铭耀物流有限公司",
                "广州宏鹏物流运输有限公司",
                "珠海市金轮子物流有限公司",
                "广州市全直达物流有限公司",
                "湖南康鑫物流运输有限责任公司",
                "武汉品邦物流科技有限公司",
                "广州市南宇物流有限公司",
                "广州宝森物流有限公司",
                "惠州市德力达物流有限公司",
                "黄山明晟辉物流有限公司",
                "广州葆润物流有限公司",
                "福建鲲鹏供应链管理有限公司",
                "广州市东新物流有限公司",
                "广州畅中物流有限公司",
                "广州市佳强货运代理有限公司",
                "广州市挚强供应链有限公司",
                "广州市双昊物流有限公司",
                "广州市振发物流有限公司",
                "深圳市海天信诚货物运输有限公司",
                "广州奥富物流有限公司",
                "贵州联银荣邦网络货运科技有限公司",
                "东营富盛物流有限责任公司",
                "广州华枫物流有限公司",
                "东营市泰畅运输有限责任公司",
                "广州市胜宇货运代理有限公司",
                "珠海市锐安物流有限公司",
                "广州永芳物流有限公司",
                "广州市弘往达物流有限公司",
                "广东广佳供应链管理有限公司",
                "广州百市通物流有限公司",
                "广州市会时红物流有限公司",
                "广州门对门物流有限公司",
                "广州广力物流有限公司",
                "广州市金昌骐骏物流有限公司",
                "广州月晋物流有限公司",
                "广州昌顺供应链有限公司",
                "广州市璐璐通物流有限公司",
                "广州市宝虹物流有限公司",
                "广州海枫物流有限公司",
                "广州千通物流有限公司",
                "广州市中兰物流有限公司",
                "广州市成鸿运输服务有限公司",
                "广州云翔物流有限公司",
                "广东宝玉供应链有限公司",
                "广州江夏物流有限公司",
                "广州合盛物流有限公司",
                "广州德来通运物流有限公司",
                "吴忠市金源祥汽车运输有限公司",
                "惠州市路路通货运有限公司仲恺分公司",
                "广州浙富物流有限公司",
                "广州市力进物流有限公司",
                "广州何顺物流有限公司",
                "广州市鑫城物流有限公司",
                "昆山力进物流有限公司",
                "广州双星物流服务有限公司",
                "广州同舟物流有限公司",
                "广州市龙胜物流有限公司",
                "广州博申物流有限公司",
                "广州广从物流有限公司",
                "广州市恒速货运代理有限公司",
                "广州品辉物流有限公司",
                "上海安宜达物流有限公司",
                "广州市鑫湛物流有限公司",
                "海南捷韵物流有限责任公司",
                "广州铨瑞物流有限公司",
                "广州魅力新伟物流有限公司",
                "广州通达物流有限公司",
                "广州亚太物流服务有限公司",
                "广州市奥申物流有限公司",
                "广州市惠远物流服务有限公司",
                "广州市鑫宝虹物流有限公司",
                "东营市兆成运输有限责任公司",
                "广州市鑫佰年物流有限公司",
                "广州市天合物流有限公司",
                "广州龙之峰货运代理有限公司",
                "广州市盛涵物流有限公司",
                "广州众启物流有限公司",
                "广州福运来物流有限公司",
                "佛山市穗佳物流有限公司",
                "广州市其辉物流有限公司",
                "梅州润濠运输有限公司",
                "广州保力奥申物流有限公司",
                "广州益浩物流有限公司",
                "广州陆翔运物流有限公司",
                "海南平骏物流有限公司",
                "广州市迪邦物流有限公司",
                "广州乾沣物流有限公司",
                "广州市誉诚物流有限公司",
                "广东锦和冷链物流有限公司",
                "广州市白云区盛翔货运代理服务部",
                "广州中汽卡航物流有限公司",
                "广州盈骄恒贸易有限公司",
                "珠海富钰供应链有限公司",
                "广州永星物流有限公司",
                "广州林氏粤通物流有限公司",
                "广州市富通物流有限公司",
                "广州圆邦物流有限公司",
                "广州市圣翔物流有限公司",
                "广州成运物流有限公司",
                "广州鑫伟诚物流有限公司",
                "广州鑫富凯物流有限公司",
                "广州柏圳物流有限公司",
                "广州优递速物流有限公司",
                "广州超胜物流有限公司",
                "邯郸市保国物流有限公司广州分公司",
                "广州创运九邦物流有限公司",
                "广州市永诚国际货运代理有限公司",
                "广东韶南物流供应链有限公司",
                "广州财财物流有限公司",
                "广州市富远物流有限公司",
                "广州市宏凯物流有限公司",
                "成都中湘运物流有限公司广州分公司",
                "广州中泥物流有限公司",
                "诚驰优达（广州）物流有限公司",
                "广州源迪物流有限公司",
                "广州市盛嘉物流有限公司",
                "广州市奥申宇德物流有限公司",
                "深圳市阿雷货运有限公司",
                "湖北富秀物流有限公司",
                "广州卓众物流有限公司",
                "广州市安利达储运服务有限公司花都货运分公司",
                "广州企程物流有限公司",
                "广州贯华物流有限公司",
                "江苏百思达物流有限公司",
                "广州汇赢物流有限公司",
                "广州市顺捷通物流有限公司",
                "广州市浩邦物流有限公司",
                "广州市博得物流有限公司",
                "广州灿鑫物流有限公司",
                "广州奥亚安俐达供应链有限公司",
                "大连市勘察测绘研究院有限公司广州分公司",
                "广州广连物流有限公司",
                "广州市安利达储运服务有限公司东莞分公司",
                "广州市金涛物流有限公司",
                "广州市威邦快递有限公司",
                "广东汉唐体育集团有限公司",
                "广州市源灏物流有限公司",
                "广州易安物流有限公司",
                "广州市原龙物流有限公司",
                "广州嘉畅物流有限公司",
                "广州凯沣物流有限公司",
                "广东心神供应链有限公司",
                "广州市正捷物流有限公司佛山分公司",
                "广州穗源供应链有限公司",
                "广州市方方通物流有限公司",
                "珠海市晨昊物流有限公司",
                "广州顺仁物流有限公司",
                "广州博立物流有限公司",
                "广州旭通物流有限公司",
                "广州九帮物流有限公司",
                "广州锦沅物流有限公司",
                "广州市凯铁物流有限公司",
                "广州利信物流有限公司",
                "深圳市鑫鑫万顺货运代理有限公司广州分公司",
                "广州鸿伟物流有限公司",
                "广州市泓发物流有限公司",
                "广州市通泰物流有限公司",
                "广州益祥物流有限公司",
                "广州鑫泰物流有限公司",
                "广州市宏地物流有限公司",
                "广州市速晟物流有限公司",
                "广州市保力桂通物流有限公司",
                "广州佳胜物流有限公司",
                "广州昊天物流有限公司",
                "广州平原物流有限公司",
                "广州旺远物流有限公司",
                "广州广澳通物流有限公司",
                "广州市联馨物流有限公司",
                "广州宏叶达货运有限公司",
                "广州合达物流有限公司",
                "广州同盈物流有限公司",
                "佛山市天成物流有限公司",
                "广州登程物流有限公司",
                "广州永信物流有限公司",
                "广州市中有物流有限公司",
                "广州安迅发物流有限责任公司",
                "广州通达速运物流有限公司",
                "广州鑫凯宇物流有限公司",
                "广州屹立物流有限公司",
                "广州市佳晟物流有限公司",
                "广州市广江物流有限公司",
                "广州鑫广物流有限公司",
                "广州驰铭物流有限公司",
                "广州新丝路物流有限公司",
                "广州富城物流有限公司",
                "广州浩盛物流有限公司",
                "广州市德全物流有限公司",
                "广州弘广物流有限公司",
                "广州市德美货物运输有限公司",
                "衢州市安成物流有限公司",
                "广州速城物流有限公司",
                "广州市大本赢物流有限公司",
                "深圳市新锐康实业有限公司",
                "广州市新顺通冷藏物流有限公司",
                "广东千度物流有限公司",
                "广州桂华物流供应链有限公司",
                "广州市金林物流有限公司",
                "广东孟源物流有限公司",
                "东莞市力进物流有限公司",
                "宜春市广春物流有限公司",
                "广东捷骐物流有限公司",
                "广州诚驰凯旋物流有限公司",
                "广东汇辰通供应链有限公司",
                "广州星通物流有限公司",
                "广州市万胤物流有限公司",
                "广州市万氏通物流有限公司",
                "广州市便捷物流有限公司",
                "广州新景物流服务有限公司",
                "广州峻锐物流有限公司",
                "广州棱方圆物流有限公司",
                "广东园邦物流有限公司",
                "广东运联供应链管理有限公司",
                "河北悦达物流有限公司广州分公司",
                "广州凯辉物流有限公司",
                "广州大零担供应链管理有限公司",
                "东莞市顺威物流有限公司",
                "广州市天达物流有限公司",
                "广州诚驰远道物流有限公司",
                "广州市鑫之鹏新物流有限公司",
                "杭州钱江物流有限公司广州分公司",
                "宁波龙昱物流有限公司广州分公司",
                "广州市万递物流有限公司",
                "广州杨氏物流有限公司",
                "广州大观物流有限公司",
                "广州龙辉物流有限公司",
                "广州市德翔物流有限公司",
                "广州市文龙物流有限公司",
                "广东骐邦物流有限公司",
                "广州广联物流有限公司",
                "广西南宁安博物流有限公司",
                "广州振扬物流有限公司",
                "惠州市富诚达物流有限公司",
                "洋浦沃之保供应链管理有限公司",
                "广州市欧东快运有限公司",
                "广州荣怡物流有限公司",
                "广州市丰好物流有限公司",
                "深圳市雨宁供应链管理有限公司",
                "广州诚驰金诚物流有限公司",
                "广州鼎立物流有限公司",
                "广州安华顺物流供应链有限公司",
                "广州立帆物流有限公司",
                "广州市诚驰物流有限公司",
                "南宁民源物流有限公司",
                "广东先飞达启航物流有限公司",
                "广州百信物流有限公司",
                "广州日鑫物流有限公司",
                "广州市奥申城晟物流有限公司",
                "广州市和信物流有限公司",
                "广东远方物流发展有限公司",
                "广州宏之明物流有限公司",
                "嘉汇物流(深圳)有限公司",
                "佛山市辉达供应链管理有限公司",
                "深圳前海速达国际物流有限公司",
                "广州辉昌物流有限公司",
                "广州邦汇物流有限公司",
                "昆山倍耐力物流有限公司",
                "广州山鹰物流有限公司",
                "广州市全城货的运输有限公司",
                "成都快刻递物流有限公司",
                "广州市彭氏货运有限公司",
                "广州助友物流有限公司",
                "广州致高物流有限公司",
                "惠州市江江通物流有限公司广州分公司",
                "广州尔邦物流有限公司",
                "广州市海旸物流有限公司",
                "广东安吉鸿途物流有限公司",
                "广州连阳物流有限公司",
                "广州康业物流有限公司",
                "佛山市南海煜鑫物流有限公司",
                "广州誉辉物流有限公司",
                "广州瑞晨顺安物流有限公司",
                "广州市全驰物流有限公司",
                "广州通之力物流有限公司",
                "安徽车优信息科技有限公司",
                "广州鸿驰物流有限公司",
                "柳广物流有限公司",
                "广东杜万国际贸易有限公司",
                "广东可邦物流有限公司",
                "广州市凯达物流有限公司",
                "广州泛森物流有限公司",
                "广州市速达物流有限公司",
                "广州翔源物流有限公司",
                "广州畅运物流有限公司",
                "广州保力德成物流有限公司",
                "广州吉科物流有限公司",
                "广州辉腾物流有限公司",
                "广州市泰源物流有限公司",
                "广州市物盈货运有限公司",
                "广东丰和园供应链管理有限公司",
                "广州大允物流有限公司",
                "广东绘展物流服务有限公司",
                "广州市乐派物流有限公司",
                "凯安(广东)物流有限公司",
                "惠州市惠广物流有限公司",
                "广州力成物流有限公司",
                "广州市泰乡物流有限公司",
                "广州施维福物流有限公司",
                "广州市鸿大物流有限公司",
                "广州市欣业物流有限公司",
                "广州市佰汇物流有限公司",
                "广州穗琼物流有限公司",
                "广州市壹米达物流有限责任公司",
                "广州市兴道丰物流有限公司",
                "广州市白云区石井川贵相和物流货运部",
                "北京安途顺供应链管理有限公司",
                "广州大润物流有限公司",
                "楠方（广东）供应链管理有限公司",
                "广州捷鑫安物流有限公司",
                "广州金诚物流有限公司",
                "广州靖辉物流有限公司",
                "广州安诚供应链管理有限公司",
                "广州润志物流有限公司",
                "广州市盛及物流供应链有限公司",
                "广州市大桦宇物流有限责任公司",
                "广州市佳宸物流有限公司",
                "广州市方园物流有限公司",
                "广州邦迅物流有限公司",
                "广州豪杰物流有限公司",
                "广州粤祥广明物流有限公司",
                "广州冠虹物流有限公司",
                "北京恩启通达运输有限公司",
                "广州昊天物流有限公司广州分公司",
                "佛山市顺德区淑均物流有限公司",
                "广州市保发物流有限公司",
                "广州越顺物流有限公司",
                "广州广湖物流有限公司",
                "广州西美物流有限公司",
                "广州山维物流有限公司",
                "广州集智康物流有限公司",
                "广州市正捷物流有限公司",
                "广州州山物流有限公司",
                "广州祺运物流有限公司",
                "广州市盛兴物流有限公司",
                "广东博弘物流科技集团有限公司",
                "海口鑫旺海物流有限公司广州分公司",
                "江西鼎立供应链管理有限公司",
                "广州隆信物流有限公司",
                "广州锦剑物流有限公司",
                "广州市宏佳物流有限公司",
                "广州市志平物流有限公司",
                "广州兴兴物流有限公司",
                "广州凯鹏速运物流有限公司",
                "广州国储供应链管理有限公司",
                "广州佰顺物流有限公司",
                "广州市华玲货运代理有限公司",
                "广州市林强物流有限公司",
                "广州鑫建铧物流有限公司",
                "广州市永欣物流有限公司",
                "广州市法而特物流有限公司",
                "广东鸿迪物流有限公司",
                "广州京广物流供应链有限公司",
                "石家庄诚信宝物流有限公司广州分公司",
                "广州翔途物流有限公司",
                "广州市展业供应链管理有限公司",
                "广州市浮梁物流有限公司",
                "中山市乐丰供应链管理有限公司",
                "广州市广盛物流科技有限公司",
                "广州市商运物流有限公司",
                "广州市翔乘李霞源食品有限公司",
                "丰鸣国际货运代理（广州）有限公司",
                "广州市捷咏安五金机电有限公司",
                "广州佳星物流有限公司",
                "广州市环盛物流有限公司",
                "2345",
                "1234",
                "北京安和国际物流有限公司广州分公司",
                "广州益创物流有限公司",
                "广州广祥物流有限公司",
                "广州傲胜理运供应链管理有限公司",
                "广州宝旺物流有限公司",
                "广东云通供应链有限公司",
                "广州市云达通物流有限公司",
                "广州运联百绫物流有限公司",
                "广州航粤物流有限公司",
                "安徽运速物流科技有限公司",
                "广州冠达货运有限公司",
                "广东遇缘物流有限公司",
                "广州粤丰物流有限公司",
                "广州通宝物流有限公司",
                "广州市安利达储运服务有限公司越秀分公司",
                "广州广豫四合物流有限公司",
                "广州泰升物流有限公司",
                "广州诚驰易达物流有限公司",
                "广州大利物流有限公司",
                "惠州市路路通货运有限公司",
                "广州市永诚物流有限公司",
                "佛山市牧德物流有限公司",
                "广州市安利达储运服务有限公司",
                "广州市国途物流有限公司",
                "广州路泰供应链管理有限公司",
                "上海同义物流有限公司",
                "广州安一顺远冠物流有限公司",
                "广州市谕运物流有限公司",
                "广州诚驰多多物流有限公司",
                "广州诚驰佳欣物流有限公司",
                "广州双象物流有限公司",
                "广州市广利物流有限公司",
                "广州盛欣物流有限公司",
                "速尔快递有限公司",
                "广州华驰物流有限公司",
                "广州市品通物流有限公司",
                "广州市容昌物流有限公司",
                "广州诚驰华晖物流有限公司",
                "广州钢运通货运代理有限公司",
                "广州坚辉物流有限公司",
                "广州佳义物流有限公司",
                "广州铨瑞物流",
                "广州百诚互联网科技有限公司",
                "广州长毛物流有限公司",
                "广州运吉达货运代理有限公司",
                "佛山鑫鸿泰物流有限公司",
                "广东运链供应链有限公司",
                "广州市鸿雨森物流有限公司",
                "广州沪航聚物流有限公司",
                "广州杰邦物流有限公司",
                "广州粤顺通物流有限公司",
                "广州市联祥物流有限公司",
                "广东要德供应链有限公司",
                "佛山市丰政物流有限公司",
                "广州保力广晋物流有限公司",
                "广州市万腾物流有限公司",
                "广州市捷鑫物流服务有限公司",
                "广东佰力创材料有限公司",
                "广州市豪捷物流有限公司",
                "广州市鸿运通物流有限公司",
                "广州吉昌物流有限公司",
                "广州君诺物流有限公司",
                "广州粤大物流有限公司",
                "广州市中兰物流有限公司中山分公司",
                "广州程邦物流有限公司",
                "广州市国驰物流有限公司",
                "广州安运达物流有限公司",
                "广州佳润达物流有限公司",
                "广州致高物流有限公司成都第二分公司",
                "广东大唐物流有限公司",
                "广州浙宇物流有限公司",
                "广州市安成物流有限公司",
                "广东凌峰物流有限公司",
                "广州荣旋物流有限公司",
                "广州市华西物流有限公司石井分公司",
                "佛山博弘智慧物流有限公司",
                "铜陵市万帮物流有限责任公司",
                "广州市秀翼物流有限公司",
                "广州连城物流有限公司",
                "广州诚驰广浙物流有限公司",
                "阳江市江城区佳兴装卸部",
                "广州源烨物流有限公司",
                "广州坤泰物流有限公司",
                "成都市浩力通物流有限公司",
                "广州市华西物流有限公司白云分公司",
                "广州信诺物流有限公司",
                "广州市创星物流有限公司",
                "东营市通达运输有限公司",
                "广州市双宝物流有限公司",
                "广东中奔物流有限公司",
                "广州市呈晟物流有限公司",
                "佛山市麟华物流有限公司",
                "佛山市智奔物流有限公司",
                "山西云启信达供应链科技有限公司",
                "苏州鹏锦物流有限公司",
                "风神物流有限公司",
                "临沂宝华供应链管理有限公司",
                "广州市展弘运输服务有限公司",
                "苏州可通物流有限公司",
                "安徽曹运数字科技有限责任公司",
                "广州润和物流有限公司",
                "东莞市中大物流有限公司",
                "江西三华物流有限公司",
                "广州聚隆物流有限公司",
                "江苏速派瑞物联科技有限公司",
                "江西久丰物流有限公司",
                "广州一晓仓储有限公司",
                "山东宝华供应链管理有限公司",
                "东莞市鸣航物流有限公司",
                "江西志满网络科技有限公司湾沚区分公司",
                "广东可通物流有限公司",
                "宁夏盛远达运输有限公司",
                "广州安捷达物流有限公司",
                "长沙德坤物流有限公司",
                "广州市永骏物流有限公司",
                "辽宁八方网络科技有限责任公司",
                "广州兴运邦物流有限公司",
                "广州市安和运输有限公司",
                "厦门飞鸿捷货运代理有限公司广州分公司",
                "深圳市安能物流科技有限公司"
        };
        mounthAccMapper.deleteAll();
        for(int i=0;i<companys.length;i++){
            monthAccountQueryVo.setCompanyName(companys[i]);
            noCarService.monthAccQueryUpdate(monthAccountQueryVo);

        }
        return new RespR(true);
    }
    /**
     * @param customerCarRecs
     * @return
     */
    @PostMapping("/customerCarRec")
    @ApiOperation(value="", notes="车辆备案")
    public RespR customerCarRec(@RequestBody List<CustomerCarRec> customerCarRecs){
        return noCarService.customerCarRec(customerCarRecs);
    }
    /**
     * @param customerCarRec
     * @return
     */
    @PostMapping("/customeRecUpperQuery")
    @ApiOperation(value="车辆备案信息查询", notes="用户备案信息查询")
    public RespR customeRecUpperQuery(@RequestBody CustomerCarRec customerCarRec){
        return noCarService.customerCarRecQueryUpper(customerCarRec);
    }



    /**
     * @param customerCarRec
     * @return
     */
    @PostMapping("/customerCarRecQuery")
    @ApiOperation(value="", notes="车辆备案查询")
    public RespR customerCarRecQuery(@RequestBody CustomerCarRec customerCarRec){
        return noCarService.customerCarRecQuery(customerCarRec);
    }
}
